package com.telpo.dipperposition.config.db;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.List;

/**
 * @program: DataPushServer
 * @description: mongo连接配置类
 * @author: linwl
 * @create: 2020-07-11 14:41
 */
@Getter
@Setter
@ToString
@ConfigurationProperties(prefix = "mongo.datasource")
public class MongoListProperties {

  private List<MongoList> dblist;

  @Data
  public static class MongoList {
    private String uri;
    private String database;
  }
}
