package com.telpo.dipperposition.enums;

/**
 * @program: DipperReturnValue
 * @description: 推送类型枚举
 * @author: king
 * @create: 2021-01-24 11:44
 */
public enum DipperReturnValue {
  ACK(0, "SDBP-PUB–ACK"),
  NACK(1, "SDBP-PUB–NACK");

  /** 状态值 */
  private int value;
  /** 描述 */
  private String describe;

  private DipperReturnValue(int value, String describe) {
    this.value = value;
    this.describe = describe;
  }

  /**
   * 获取推送类型
   *
   * @param value
   * @return
   */
  public static DipperReturnValue getByValue(int value) {
    for (DipperReturnValue enums : DipperReturnValue.values()) {
      if (enums.getValue() == value) {
        return enums;
      }
    }
    return null;
  }

  public int getValue() {
    return value;
  }

  public void setValue(int value) {
    this.value = value;
  }

  public String getDescribe() {
    return describe;
  }

  public void setDescribe(String describe) {
    this.describe = describe;
  }
}
